/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JButtonExample extends JFrame {
  private JDialog dialog;
  private JButton okButton;
  private JButton jDialogButton;
  
  public JButtonExample() {
    // Imposta le proprieta' del Top Level Container
    super("JButtonExample");
    setBounds(10,35,200,70);
    getContentPane().setLayout(new FlowLayout(FlowLayout.CENTER));
    
    // Crea una finestra di dialogo modale, inizialmente invisibile
    dialog = new JDialog(this,"JDialog",true);
    dialog.setBounds(250,20,300,100);
    dialog.getContentPane().setLayout(new BorderLayout());
    dialog.getContentPane().add(BorderLayout.CENTER,new JLabel("Chiudi questa finestra per continuare",JLabel.CENTER));
    dialog.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);

    // Crea due pulsanti
    okButton = new JButton("OK");
    jDialogButton = new JButton("Open Frame");
    // Crea gli ascoltatori
    ActionListener okListener = new OKButtonListener();
    ActionListener openActionListener = new JDialogButtonListener();
    // Registra gli ascoltatori presso i pulsanti
    okButton.addActionListener(okListener);
    jDialogButton.addActionListener(openActionListener);

    //imposta okButton come DefaultButton
    getRootPane().setDefaultButton(okButton);

    // Aggiunge i pulsanti al Top Level Container
    getContentPane().add(okButton);
    getContentPane().add(jDialogButton);
    
    setVisible(true);    
  }
  // Ascoltatore del pulsante OK
  class OKButtonListener implements ActionListener {
      public void actionPerformed(ActionEvent e) {
        try {
          System.exit(0);
        }
        catch (Exception ex) {}
      }
    }
  // Ascoltatore del pulsante jDialog
  class JDialogButtonListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      dialog.setVisible(true);
    }
  }
 public static void main(String argv[])
 {
    JButtonExample b = new JButtonExample();
 }
} 

