/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JCheckBoxExample extends JFrame {
  private JDialog dialog1;
  private JDialog dialog2;
  private JCheckBox checkBox1;
  private JCheckBox checkBox2;
  
  public JCheckBoxExample() {
    // Imposta le proprieta' del Top Level Container
    super("JCheckBoxExample");
    setBounds(10,35,200,70);
    getContentPane().setLayout(new FlowLayout(FlowLayout.CENTER));
    
    // Crea due finestre di dialogo non modali, inizialmente invisibili
    dialog1 = new JDialog(this,"JDialog 1",false);
    dialog1.setBounds(250,20,300,100);
    dialog1.getContentPane().setLayout(new BorderLayout());
    dialog1.getContentPane().add(BorderLayout.CENTER,new JLabel("Finestra 1 Aperta",JLabel.CENTER));
    dialog1.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
    dialog2 = new JDialog(this,"JDialog 2",false);
    dialog2.setBounds(250,150,300,100);
    dialog2.getContentPane().setLayout(new BorderLayout());
    dialog2.getContentPane().add(BorderLayout.CENTER,new JLabel("Finestra 2 Aperta",JLabel.CENTER));
    dialog2.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
    
    // Crea i checkBox e li registra presso il loro ascoltatore
    ItemListener listener = new JCheckBoxItemListener();
    checkBox1 = new JCheckBox("Finestra 1");
    checkBox1.addItemListener(listener);
    checkBox2 = new JCheckBox("Finestra 2");
    checkBox2.addItemListener(listener);
    
    // Aggiunge i checkBox al Top Level Container
    getContentPane().add(checkBox1);
    getContentPane().add(checkBox2);
    setVisible(true);    
  }
  // ascoltatore JCheckBox
  class JCheckBoxItemListener implements ItemListener {
    public void itemStateChanged(ItemEvent e) {
      Object target = e.getItem();
      int status = e.getStateChange();
      
      if(target.equals(checkBox1) && status == ItemEvent.SELECTED)
        dialog1.setVisible(true);
      else if(target.equals(checkBox1) && status == ItemEvent.DESELECTED)
        dialog1.setVisible(false);
      else if(target.equals(checkBox2) && status == ItemEvent.SELECTED)
        dialog2.setVisible(true);
      else if(target.equals(checkBox2) && status == ItemEvent.DESELECTED)
        dialog2.setVisible(false);
    }
  }
 public static void main(String argv[])
 {
    JCheckBoxExample b = new JCheckBoxExample();
 }
} 

