/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JRadiobuttonExample extends JFrame {
  private JRadioButton radioButton1;
  private JRadioButton radioButton2;
  private JRadioButton radioButton3;
  private JLabel label;
   
  public JRadiobuttonExample() {
    // Imposta le proprieta' del Top Level Container
    super("JRadiobuttonExample");
    setBounds(10,35,150,150);
    getContentPane().setLayout(new FlowLayout(FlowLayout.CENTER));

    // Crea i radiobutton e la label
    radioButton1 = new JRadioButton("RadioButton 1");
    radioButton2 = new JRadioButton("RadioButton 2");
    radioButton3 = new JRadioButton("RadioButton 3");
    label = new JLabel();
    
    // Crea l'ascoltatore e registra i JRadioButton
    ActionListener listener = new JRadioButtonListener();
    radioButton1.addActionListener(listener);
    radioButton2.addActionListener(listener);
    radioButton3.addActionListener(listener);
    
    // Crea il ButtonGroup e registra i RadioButton
    ButtonGroup group = new ButtonGroup();
    group.add(radioButton1);
    group.add(radioButton2);
    group.add(radioButton3);
        
    // Aggiunge i componenti al Top Level Container
    getContentPane().add(radioButton1);
    getContentPane().add(radioButton2);
    getContentPane().add(radioButton3);
    getContentPane().add(label);
    
    radioButton1.doClick();
    setVisible(true);    
  }
  // Ascoltatore JRadioButton
  class JRadioButtonListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      String target = e.getActionCommand();
      label.setText(target);
    }
  }
 public static void main(String argv[])
 {
    JRadiobuttonExample b = new JRadiobuttonExample();
 }
} 

