/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class JToggleButtonExample extends JFrame {
  private JDialog dialog;
  private JToggleButton jDialogButton;
  
  public JToggleButtonExample() {
    // Imposta le proprieta' del Top Level Container
    super("JToggleButtonExample");
    setBounds(10,35,250,70);
    getContentPane().setLayout(new FlowLayout(FlowLayout.CENTER));
    
    // Crea una finestra di dialogo non modale, inizialmente invisibile
    dialog = new JDialog(this,"JDialog",false);
    dialog.setBounds(250,20,300,100);
    dialog.getContentPane().setLayout(new BorderLayout());
    dialog.getContentPane().add(BorderLayout.CENTER,new JLabel("Finestra Aperta",JLabel.CENTER));
    dialog.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

    // Crea il pulsante e lo registra presso il suo ascoltatore
    jDialogButton = new JToggleButton("Open / Close Frame",false);
    jDialogButton.addItemListener(new JDialogButtonItemListener());

    // Aggiunge il pulsante al Top Level Container
    getContentPane().add(jDialogButton);
    setVisible(true);    
  }
  // Ascoltatore di JDialogButton
  class JDialogButtonItemListener implements ItemListener {
    public void itemStateChanged(ItemEvent e) {
      int status = e.getStateChange();
      if(status == ItemEvent.SELECTED)
        dialog.setVisible(true);
      else
        dialog.setVisible(false);
    }
  }
 public static void main(String argv[])
 {
    JToggleButtonExample b = new JToggleButtonExample();
 }
} 

